Want to upgrade from V1.3.10 to V1.5.1

Topics: Core, General
Oct 21, 2012 at 4:18 AM

I have my site running on Orchard CMS V1.3.10. Recently on twitter i heard this "Never skip an Orchard Upgrade". Can anybody please help me with the upgrade roadmap.

V1.3.10 -> V1.4 -> V1.5.1

Is it necessary to go thru every upgrade that will include V1.4.1 , V1.4.2 and V1.5.0 also.

Thank you

Coordinator
Oct 21, 2012 at 5:21 AM

No but 1.3 to 1.4 to 1.5 may be necessary.

Oct 21, 2012 at 6:45 AM
bertrandleroy wrote:

No but 1.3 to 1.4 to 1.5 may be necessary.


Thanks Bleroy

Oct 21, 2012 at 2:56 PM
bertrandleroy wrote:

No but 1.3 to 1.4 to 1.5 may be necessary.


Successfully upgraded from Orchard CMS V1.3.10 to V1.5.1

Coordinator
Oct 21, 2012 at 7:30 PM

Yay!

Oct 29, 2012 at 5:54 AM
bertrandleroy wrote:

Yay!


V1.6 is out can i upgrade from V1.5.1 to V1.6.0.

Oct 29, 2012 at 6:39 PM

Yes, Orchard 1.5.1 to 1.6 is a pretty simple upgrade. I have already completed the process a couple of times now.

Just always check the release notes for any special conditions.

http://docs.orchardproject.net/Documentation/Orchard-1-6-Release-Notes

Oct 30, 2012 at 3:11 AM
davidhayden wrote:

Yes, Orchard 1.5.1 to 1.6 is a pretty simple upgrade. I have already completed the process a couple of times now.

Just always check the release notes for any special conditions.

http://docs.orchardproject.net/Documentation/Orchard-1-6-Release-Notes


Thanks @david_hayden

Will be upgrading very soon.

Nov 24, 2012 at 4:27 AM

I have everything working except contact forms don't generate.  I went from 1.3 to 1.6.  I uninstalled / reinstalled modules that were there and older versions.  The page is created, but not showing any fields.  Under 1.3, the contact pages automatically created fields.  Does the 1.6 need to add fields?

Nov 24, 2012 at 4:38 AM
Edited Nov 24, 2012 at 4:41 AM
steveschofield wrote:

I have everything working except contact forms don't generate.  I went from 1.3 to 1.6.  I uninstalled / reinstalled modules that were there and older versions.  The page is created, but not showing any fields.  Under 1.3, the contact pages automatically created fields.  Does the 1.6 need to add fields?


Dear

You need to follow the roadmap. Because running every upgrades also upgrades the DatabaseMigrationRecord table for every module. And if the upgrades are skipped that could break things up.

Coordinator
Nov 26, 2012 at 9:54 PM

That's not accurate. Migrations will catchup. We don't know why some instances fail to upgrade skipping versions but that is not the reason.

Nov 27, 2012 at 3:38 AM
bertrandleroy wrote:

That's not accurate. Migrations will catchup. We don't know why some instances fail to upgrade skipping versions but that is not the reason.


Thanks Bleroy

For Correcting me.